# containsPod method

1. @override

Future<bool> containsPod(

1. String podName

)
override

Checks if a pod with the given name is registered in the factory.

This method checks both the current factory and parent factories in hierarchical configurations.

## Usage Example:

    if (await factory.containsPod('emailService')) {
      final emailService = await factory.getPod<EmailService>('emailService');
      await emailService.sendWelcomeEmail();
    }

@param podName The name of the pod to check @return A Future that completes with true if the pod exists

## Implementation

    @override
    Future<bool> containsPod(String podName) async {
      final f = getPodFactory();

      final localContains = await f.containsPod(podName);
      if (localContains) {
        return true;
      }

      if (_parent != null) {
        return await _parent!.containsPod(podName);
      }

      return false;
    }